﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace WebApp
{
    [ServiceContract(Namespace = "Silverlight", CallbackContract = typeof(IOrderClient))]
    public interface IOrderService
    {
        [OperationContract(IsOneWay = true)]
        void SendOrder(Order order);
        [OperationContract(IsOneWay = true)]
        void ProcessOrder(Order order);
        [OperationContract]
        UserType Login();
    }
}
